-- PZBS Grand Prix Polski Par
-- Script author: Piotr Beling <qwak82@gmail.com>

local pzbs_url = 'http://www.pzbs.pl'
local content = url.download_check(pzbs_url..'/budimex-gpp')

for d, u, n, a in string.gmatch(content,
	'<p>%s-([^%s][^<]-)</p>%s-</td>%s-<td[^>]->%s-<p>%s-<a[^h]-href="(.-)"[^>]->%s-([^%s].-)</a>([^<]-)</p>'
) do
	table.insert(results, {["url"]=u, ["name"]=n..a..', '..d})
end

